﻿Imports System.Drawing.Drawing2D

Public Class FrmMain
    Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
    Dim GraphicsObj As Graphics

    Private Sub BtnLinhas_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnLinhas.Click
        Dim iloop As Integer
        Dim ChgYPoint As Integer
        Dim ChgXPoint As Integer
        GraphicsObj = Me.Panel3.CreateGraphics()
        Me.Panel3.Refresh()

        ChgYPoint = 5
        ChgXPoint = 5

        For iloop = 1 To 106
            GraphicsObj.DrawLine(Pens.Blue, ChgXPoint, 0, 525, ChgYPoint)
            GraphicsObj.DrawLine(Pens.Blue, 0, ChgYPoint, ChgXPoint, 525)
            GraphicsObj.DrawLine(Pens.Blue, 0, (525 - ChgYPoint), ChgXPoint, 0)
            GraphicsObj.DrawLine(Pens.Blue, 525, ChgYPoint, (525 - ChgXPoint), 525)
            ChgYPoint = ChgYPoint + 5
            ChgXPoint = ChgXPoint + 5
            System.Threading.Thread.Sleep(200) ' retarda em 2 segundos
            Application.DoEvents()
        Next

    End Sub

    Private Sub BtnCirculos_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnCirculos.Click
        Dim iloop As Integer
        Dim ChgRadius As Integer

        GraphicsObj = Me.Panel3.CreateGraphics()
        Me.Panel3.Refresh()
        ChgRadius = 10
        For iloop = 1 To 100
            GraphicsObj.DrawEllipse(Pens.Blue, 520 - ChgRadius, 520 - ChgRadius, ChgRadius, ChgRadius)
            GraphicsObj.DrawEllipse(Pens.Blue, 450 - ChgRadius, 450 - ChgRadius, 50, 50)
            ChgRadius = ChgRadius + 5
            'pausa usando um loop for/next
            For temploop = 1 To 3000000
            Next
        Next
    End Sub

    Private Sub BtnRetangulos_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnRetangulos.Click
        Dim iloop As Integer
        Dim ChgWidth As Integer
        Dim ChgHeight As Integer
        Dim CurrX As Integer
        Dim CurrY As Integer

        GraphicsObj = Me.Panel3.CreateGraphics()
        Me.Panel3.Refresh()
        ChgHeight = 6
        ChgWidth = 12
        CurrX = 6
        CurrY = 3
        For iloop = 1 To 40
            GraphicsObj.DrawRectangle(Pens.Blue, 265 - CurrX, 265 - CurrY, ChgWidth, ChgHeight)
            CurrX = CurrX + 6
            CurrY = CurrY + 3
            ChgWidth = ChgWidth + 12
            ChgHeight = ChgHeight + 6
            'pausa a aplicação usando um loop falso
            For temploop = 1 To 3000000
            Next
        Next
    End Sub

    Private Sub BtnArcos_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnArcos.Click
        Dim iloop As Integer
        Dim ChgXPoint As Integer
        Dim ChgYPoint As Integer
        Dim ChgWidth As Integer
        Dim ChgHeight As Integer
        ChgXPoint = 0
        ChgYPoint = 215
        ChgWidth = 200
        ChgHeight = 100

        GraphicsObj = Me.Panel3.CreateGraphics()
        Me.Panel3.Refresh()
        For iloop = 1 To 15
            GraphicsObj.DrawArc(Pens.Blue, ChgXPoint, ChgYPoint, ChgWidth, ChgHeight, 270, 180)
            ChgXPoint = ChgXPoint + 10
            ChgYPoint = ChgYPoint - 5
            ChgWidth = ChgWidth + 10
            ChgHeight = ChgHeight + 5
            Sleep(300)
            Application.DoEvents()
        Next

    End Sub


    Private Sub BtnDrawString_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnDrawString.Click
        Dim iloop As Integer
        Dim FntSz As Integer = 10
        Dim Fnt As New Font("Verdana", FntSz)
        Dim ChgXPoint As Integer
        Dim ChgYPoint As Integer
        ChgXPoint = 20
        ChgYPoint = 20

        Me.Panel3.Refresh()
        For iloop = 1 To 9
            Fnt = New Font("Verdana", FntSz)
            GraphicsObj = Me.Panel3.CreateGraphics()
            GraphicsObj.DrawString("Macoratti", Fnt, Brushes.Blue, ChgXPoint, ChgYPoint)
            ChgXPoint = ChgXPoint + 10
            ChgYPoint = ChgYPoint + (iloop * 10)
            FntSz = FntSz + 5
            EsperaUmPouco(2)
            Application.DoEvents()
        Next
    End Sub

    Private Sub BtnPreencher_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnPreencher.Click
        Dim SBrush As New SolidBrush(Color.Blue)
        Dim Rect As New Rectangle(100, 200, 300, 100)
        Dim Fnt As New Font("Verdana", 15)

        Me.Panel3.Refresh()
        GraphicsObj = Me.Panel3.CreateGraphics()
        GraphicsObj.FillRectangle(SBrush, Rect)

        GraphicsObj.DrawString("Um retângulo preenchido com uma cor azul.", Fnt, Brushes.Blue, 20, 400)
    End Sub

    Private Sub BtnGradiente_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnGradiente.Click

        Dim Rect As New Rectangle(10, 10, 150, 100)
        Dim GBrush1 As New LinearGradientBrush(Rect, Color.Blue, Color.Yellow, LinearGradientMode.BackwardDiagonal)
        Dim GBrush2 As New LinearGradientBrush(Rect, Color.Yellow, Color.Blue, LinearGradientMode.ForwardDiagonal)
        Dim GBrush3 As New LinearGradientBrush(Rect, Color.Blue, Color.Yellow, LinearGradientMode.Horizontal)
        Dim GBrush4 As New LinearGradientBrush(Rect, Color.Blue, Color.Yellow, LinearGradientMode.Vertical)
        Dim Fnt As New Font("Verdana", 10)

        Me.Panel3.Refresh()
        GraphicsObj = Me.Panel3.CreateGraphics()
        GraphicsObj.FillRectangle(GBrush1, 10, 10, 150, 100)
        GraphicsObj = Me.Panel3.CreateGraphics()
        GraphicsObj.FillRectangle(GBrush2, 10, 130, 150, 100)
        GraphicsObj = Me.Panel3.CreateGraphics()
        GraphicsObj.FillRectangle(GBrush3, 10, 260, 150, 100)
        GraphicsObj = Me.Panel3.CreateGraphics()
        GraphicsObj.FillRectangle(GBrush4, 10, 390, 150, 100)
        GraphicsObj.DrawString("Gradiente Linear Diagonal traseira.", Fnt, Brushes.White, 200, 70)
        GraphicsObj.DrawString("Gradiente Linear Diagonal frontal.", Fnt, Brushes.White, 200, 200)
        GraphicsObj.DrawString("Gradiente Linear Vertical.", Fnt, Brushes.White, 200, 330)
        GraphicsObj.DrawString("Gradiente Linear Horizontal.", Fnt, Brushes.White, 200, 460)


    End Sub
    Private Sub TlStrClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TlStrClear.Click
        Panel3.Refresh()
    End Sub

    Private Sub TlstrpExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TlstrpExit.Click
        Me.Close()
    End Sub
    Private Sub TlStrAbout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TlStrAbout.Click
        FrmAbout.ShowDialog()
    End Sub

    Private Sub TlStrBarraProgresso_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TlStrBarraProgresso.Click
        My.Forms.ProgressBars.ShowDialog()
    End Sub
End Class

