﻿Option Strict On
Imports System
Imports System.Drawing
Imports System.Windows.Forms

Public Class ProgressBars : Inherits Form

    Dim pb As ProgressBar
    Dim lbl As Label

    Public Sub New()
        Size = New Size(500, 300)

        Dim btn As New Button()
        btn.Parent = Me
        btn.Text = "&Iniciar"
        btn.Location = New Point(0, 0)
        AddHandler btn.Click, AddressOf btn_OnClick

        lbl = New Label()
        lbl.Parent = Me
        lbl.Size = New Size(100, 30)
        lbl.Location = New Point(10, 25)
        lbl.BorderStyle = BorderStyle.FixedSingle
        lbl.TextAlign = ContentAlignment.MiddleCenter
        lbl.Text = ""

        pb = New ProgressBar()
        pb.Parent = Me
        pb.Location = New Point(0, 70)
        pb.Size = New Size(500, 20)
        pb.Minimum = 0      '  O valor padrão
        pb.Maximum = 100    '  the default value
    End Sub  ' 

    Private Sub btn_OnClick(ByVal sender As Object, ByVal e As EventArgs)
        Dim cntr As Integer = 0
        pb.Value = 0
        pb.Step = 1
        For i As Integer = 0 To 10000
            cntr = cntr + 1
            If cntr Mod 100 = 0 Then
                lbl.Text = cntr.ToString()
                pb.PerformStep()
                Application.DoEvents()
                System.Threading.Thread.Sleep(40)
            End If
        Next
    End Sub
    Public Shared Sub Main()
        Application.Run(New ProgressBars())
    End Sub
End Class